package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.params.SyncDataParam;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.entity.TBSyncTask;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {
    void syncToCloudReview();

    void syncDataCloud(Long printPlanId, Long thirdRelateId);

    void syncDataMerge(SyncDataParam syncDataParam);

    void syncPaperStructureAndGroup(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncPaperAndAnswer(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncObjectiveStructure(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);
}
